Skip to main content
POST
/
v1
/
knowledge-sources
/
{sourceId}
/
reingest
curl -X POST https://api.telzino.com/v1/knowledge-sources/22222222-2222-2222-2222-222222222222/enqueue \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "jobId": "33333333-3333-3333-3333-333333333333",
    "forceReindex": false
  }'
{ "success": true }

Path Parameters

sourceId
string
required
Knowledge source ID (UUID).

Enqueue File Ingestion

After creating a file source and uploading the file to its presigned URL, enqueue ingestion: POST /v1/knowledge-sources/{sourceId}/enqueue
jobId
string
required
The jobId returned when you created the file source. It must belong to this source — a mismatched or unknown jobId returns 400 invalid_request.
forceReindex
boolean
Rebuild the source even if it was previously ingested.
curl -X POST https://api.telzino.com/v1/knowledge-sources/22222222-2222-2222-2222-222222222222/enqueue \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "jobId": "33333333-3333-3333-3333-333333333333",
    "forceReindex": false
  }'
{ "success": true }

Re-ingest a Source

Re-ingesting creates a new ingestion job and rebuilds the source’s vectors. POST /v1/knowledge-sources/{sourceId}/reingest
curl -X POST https://api.telzino.com/v1/knowledge-sources/22222222-2222-2222-2222-222222222222/reingest \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": {
    "jobId": "33333333-3333-3333-3333-333333333333"
  }
}

Delete a Source

DELETE /v1/knowledge-sources/{sourceId} Deletes the source row, related storage objects, and enqueues worker-side vector deletion.
curl -X DELETE https://api.telzino.com/v1/knowledge-sources/22222222-2222-2222-2222-222222222222 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{ "success": true }